package entity

import "time"

type SystemMenu struct {
	Id          int32     `json:"id" xorm:"pk autoincr" `             //id
	Level       int       `json:"level" xorm:"level"`                 //菜单等级
	Sort        int       `json:"sort" xorm:"sort"`                   //菜单排序
	MenuName    string    `json:"menu_name" xorm:"menu_name"`         //菜单名称
	MenuType    int       `json:"menu_type" xorm:"menu_type"`         //菜单类型（0目录1菜单2子页面）
	DictGroupId string    `json:"dict_group_id" xorm:"dict_group_id"` //字典分组id
	State       int       `json:"state" xorm:"state"`                 //状态0禁用1启用
	MenuUrl     string    `json:"menu_url" xorm:"menu_url"`           //菜单路径
	MenuLogo    string    `json:"menu_logo" xorm:"menu_logo"`         //菜单图标
	CreatedBy   int       `json:"created_by"  `                       //创建者
	CreatedTime time.Time `json:"created_time" xorm:"created" `       //创建时间
	UpdatedBy   int       `json:"updated_by"  `                       //更新者
	UpdatedTime time.Time `json:"updated_time" xorm:"updated" `       //更新时间
	IsDeleted   int       `json:"is_deleted" xorm:"is_deleted"`       //是否删除
	MenuId      string    `json:"menu_id" xorm:"menu_id"`             //菜单id
	PMenuId     string    `json:"p_menu_id" xorm:"p_menu_id"`         //上级菜单id
	Source      string    `json:"source"`
	NewWindow   int       `json:"new_window"`
	Remark      string    `json:"remark"`
	SystemType  string    `json:"system_type"` //系统类型
}
